#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${ARTSC_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTSC_LIBRARY_DIRS}
)


##### workmanaudio (library) ####################

tde_add_library( workmanaudio STATIC_PIC
  SOURCES
    audio.c audio_alsa.c audio_arts.c audio_sun.c
  LINK
    ${ARTSC_LIBRARIES} ${ALSA_LIBRARIES}
)
